FAQ #20428, published on 2020-08-27, updated on 2020-09-04
WINDEV MOBILE
ANDROID API Level 9: How to meet Google Play’s target API level requirement ?
Starting in August 2020, new apps must support API level 9, and this API level will become mandatory for app updates in November.

In order to cope with this requirement, you have to use WINDEV MOBILE 25, version 89f, and install the special update 118661.

Update 118661 for API level 9 support

The API level 9 imposes some important changes:

  • External storage access is limited only to an app-specific directory and to specific types of media that the app has created.

  • Restricted access to non-resettable identifiers such as IMEI and serial number.

  • Restricted access to physical activity information such as the user's step count, requiring ACTIVITY_RECOGNITION permission.

  • Restricted access to some telephony, Bluetooth, and Wi-Fi APIs, requiring ACCESS_FINE_LOCATION permission.

  • Restricted access to Wi-Fi settings: Apps can no longer directly enable or disable Wi-Fi and need to do it using settings panels. Restrictions on initiating a connection to a Wi-Fi network, requiring the use of either WifiNetworkSpecifier or WifiNetworkSuggestion.

For an exhaustive list of changes introduced in Android 10 (API level 29), see the Behavior Changes page for that version of the platform.


List of changes introduced in Android (source Google)


When deploying in the Play Store, the signing stage of the Google application might state that: "The private key was not properly
encrypted or is not a type of key we support
.". In such a case, you will have to recreate the application signature file using the generation wizard.



See also : API29, level, android, 10, Q, Play, Store